#version 330

uniform mat4 view;
uniform mat4 projection;

in vec4 vertex;
in vec2 texcoords_in;

out vec2 texcoords;

void main(void)
{
	texcoords = texcoords_in;
	gl_Position = projection * view * vertex;
}